Skip to content

Create Process List Api

POST
/process-lists

Create a process list: its object, its parent relationship and the marker, atomically. Requires objects:manage and current Admin access, the same gate as POST /objects. Add the list’s fields with POST /objects/{slug}/attributes.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

object
api_slug
required
string
>= 1 characters <= 93 characters /^[a-z][a-z0-9_]*$/
description
Any of:
string
<= 2000 characters
entries_label
required
string
>= 1 characters <= 100 characters
icon
Any of:
string
Allowed values: box briefcase building calendar flag folder globe heart layers package target users
parent
required
object
kind
required
string
Allowed values: custom contacts companies deals
object_id
Any of:
string format: uuid
parent_label
required
string
>= 1 characters <= 100 characters
plural_noun
required
string
>= 1 characters <= 100 characters
singular_noun
required
string
>= 1 characters <= 100 characters

Responses

201

Successful Response

object
data
required
object
api_slug
required
string
created_at
required
string format: date-time
description
Any of:
string
display_attribute_slug
Any of:
string
entries_label
required
string
entry_count
Any of:
integer
icon
Any of:
string
id
required
string format: uuid
is_archived
required
boolean
parent_kind
required
string
Allowed values: custom contacts companies deals
parent_label
required
string
parent_object_id
Any of:
string format: uuid
parent_object_slug
Any of:
string
parent_relationship_definition_id
required
string format: uuid
plural_noun
required
string
singular_noun
required
string
updated_at
required
string format: date-time
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string